Subject: Re: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: Leo <[email-masked]>
Date: Tue, 25 Oct 2011 10:17:04 +0800

On 2011-10-25 00:15 +0800, martin rudalics wrote:
>> 1. Emacs -Q
>> 2. (temp-buffer-resize-mode t)
>> 3. M-x calc
>> 4. h h
>
> by doing
>
> (setq temp-buffer-max-height
>       (lambda (buffer)
> 	(max
> 	 (window-total-size)
> 	 (/ (- (frame-height) 2) 2))))
>
> in your .emacs (personally I think that this should be the default
> value).  If you refer to Jay's remark

Thanks, this seems to work well. But I am using a build from 2011-09-04.
Also I have noticed that `q' in calc no longer deletes all its windows.
So after hitting `q', I am left with three windows on the frame as shown
here: http://i.imgur.com/jFKG5.jpg.

Leo